package com.rjconsultores.ventaboletos.enums;

public enum SistemaEnum {

	VENDA_CLIENTE(1, "Venda Cliente"), 
	VENDA_SERVIDOR(2, "Venda Servidor"), 
	ADM(3, "Administração");

	private Integer valor;
	private String descricao;

	private SistemaEnum(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}

	public Integer getValor() {
		return this.valor;
	}

	@Override
	public String toString() {
		return this.descricao;
	}

	public static SistemaEnum getSistema(Integer tValor) {
		for (SistemaEnum valor : SistemaEnum.values()) {
			if (valor.getValor().equals(tValor)) {
				return valor;
			}
		}
		return null;
	}

}
